Pinterest Pins Live
POST
/v3/business_data/social_media/pinterest/live按关键词搜索 Pinterest Pin,返回标题、描述、链接、互动数据等。
参考价:约 ¥0.3200 / 次(实际以请求返回为准)
请求体
| 参数 | 类型 | 必填 | 说明 |
|---|---|---|---|
| keyword | string | 是 | 搜索关键词 |
| location_code | integer | 否 | 地区代码 |
| language_code | string | 否 | 语言代码 |
| limit | integer | 否 | 返回数量 |
| offset_token | string | 否 | 分页 token |
请求示例
curl
curl -X POST "https://api.seermartech.cn/v3/business_data/social_media/pinterest/live" \
-H "Authorization: Bearer smt_live_YOUR_KEY" \
-H "Content-Type: application/json" \
-d '[{"keyword": "home office decor", "location_code": 2840, "language_code": "en", "limit": 50}]'Python
import requests
resp = requests.post(
"https://api.seermartech.cn/v3/business_data/social_media/pinterest/live",
headers={"Authorization": "Bearer smt_live_YOUR_KEY"},
json=[{
"keyword": "home office decor",
"location_code": 2840,
"language_code": "en",
"limit": 50,
}],
timeout=60,
)
for item in resp.json()["tasks"][0]["result"][0]["items"][:5]:
print(item.get("title"), item.get("url"))TypeScript
const resp = await fetch(
"https://api.seermartech.cn/v3/business_data/social_media/pinterest/live",
{
method: "POST",
headers: {
Authorization: "Bearer smt_live_YOUR_KEY",
"Content-Type": "application/json",
},
body: JSON.stringify([{
keyword: "home office decor",
location_code: 2840,
language_code: "en",
limit: 50,
}]),
}
);
console.log((await resp.json()).tasks[0].result[0].items.slice(0, 5));业务场景
- 视觉内容营销:发现高互动 Pin 选题
- 电商品牌 Pinterest 曝光监控
- 与 Google Trends 结合验证话题热度